Bug 1288081 - Systemd file triggers
Systemd file triggers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
ChangeAcceptedF24, SystemWideChange
:
Depends On: 1284645 1287918
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 07:52 EST by Jan Kurik
Modified: 2016-09-29 07:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2015-12-03 07:52:32 EST
This is a tracking bug for Change: Systemd file triggers
For more details, see: https://fedoraproject.org//wiki/Changes/systemd_file_triggers

systemd daemon-reload is invoked once or twice per rpm transaction.
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-01-15 11:28:39 EST
This is mostly done in rawhide (systemd-228-4.gite35a787). The triggers have been implemented, and so far there have been no bug reports over two months. There is some ugliness in the implementation though (#1287918, #1284645), but the triggers are functional.
Comment 2 Jan Kurik 2016-02-24 09:26:05 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-02-26 02:00:57 EST
It is implemented, I should have set it to MODIFIED with comment #1.
Comment 4 Jan Kurik 2016-04-20 11:02:03 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Note You need to log in before you can comment on or make changes to this bug.